--- linux-3.8/sound/pci/emu10k1/emu10k1_main.c
+++ linux-3.8-1/sound/pci/emu10k1/emu10k1_main.c
@@ -860,6 +860,11 @@
 		}
 		snd_printk(KERN_INFO "emu1010: firmware file = %s, size = 0x%zx\n",
 			   filename, emu->firmware->size);
+		err = snd_emu1010_load_firmware(emu);
+		if (err != 0) {
+			snd_printk(KERN_INFO "emu1010: Loading Firmware file %s failed\n", filename);
+			return err;
+		}
 	}
 
 	/* ID, should read & 0x7f = 0x55 when FPGA programmed. */
